#include <iostream>

using namespace std;

int main()
{
    cout << "running app" << endl;
    int i = 0;
    for (;;) // 死循环: 原理是 for 语句中的三个表达式都可以省略 (但是分号不能省略), 省略后的 for 语句相当于 while (1)
        ;
    cout << "app end" << endl;
    return 0;
}